# Package org.apache.maven.artifact.metadata

Interface Summary
Interface | Description
--- | ---
ArtifactMetadata | Contains metadata about an artifact, and methods to retrieve/store it from an artifact repository.
ArtifactMetadataSource | Provides some metadata operations, like querying the remote repository for a list of versions available for an artifact.

Class Summary
Class | Description
--- | ---
AbstractArtifactMetadata | Common elements of artifact metadata.
ResolutionGroup |

Exception Summary
Exception | Description
--- | ---
ArtifactMetadataRetrievalException | Error while retrieving repository metadata from the repository.